@import "variables";
@import "utils";

* {
	box-sizing: border-box;
}

html {
	font-size: 12px;
	font-family: Arial, Helvetica, sans-serif;
}

html,
body,
#root {
	margin: 0;
	padding: 0;
	height: 100%;
	width: 100%;
}

body {
	width: 100%;
	min-height: 100vh;
	background-color: $white-smoke;
}

a {
	text-decoration: none;
	color: black;
	font-weight: bold;
}

.btn {
	background: none;
	border: none;
	cursor: pointer;

	&-primary {
		background-color: black;
		border: 3px solid black;
		color: white;
	}

	&-secondary {
		background-color: white;
		box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px,
			rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
		color: black;
		padding: 0.5em;

		&:disabled {
			background-color: lighten($color: #000000, $amount: 90);
			color: darken($color: #fff, $amount: 40);
			cursor: not-allowed;
		}
	}

	&-rounded {
		border-radius: 15px;
	}

	&-xl {
		font-size: 1.5em;
	}

	&-lg {
		font-size: 1.3em;
	}

	&-p-md {
		padding: 0.5em;
	}

	&-p-sm {
		padding: 0.3em;
	}
}

.container {
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: flex-start;

	&-page-home {
		display: flex;
		flex-direction: column;
		align-items: center;
		margin-top: 3em;

		.searchbar {
			width: fit-content;
			align-self: center;
		}

		.channel-list {
			width: 90%;
		}

		.pagination-buttons {
			width: 90%;
		}
	}

	& .pagination-buttons {
		margin: 2em 0 3em 0;
	}

	&-page-channel {
		display: flex;
		flex-direction: column;
		width: 70%;
		position: relative;

		a {
			position: absolute;
			top: 1em;
		}

		& .video-grid {
			@include grid-col-splitting(5,1em);
			margin-top: 3em;
		}

	}

	&-page-video {
		width: 90%;
		max-width: 1500px;
		margin-top: 4em;
		display: grid;
		grid-template-columns: 30% auto;
		justify-content: space-between;
		column-gap: 3em;

		a {
			position: absolute;
			top: 1em;
		}

		& .video-info-box {
			margin-bottom: 2em;
		}

		& .video-grid {
			@include grid-col-splitting(5,1em);
			margin-top: 3em;
		}

		& h1 {
			margin: 0 0 1em 0;
		}
	}
}

.pagination-buttons {
	display: flex;
	width: 100%;
	justify-content: space-between;
	margin: 1em 0;
}

@media (max-width: 480px) {
	.container {
		& .video-grid {
			@include grid-col-splitting(2,1em);
			margin-top: 3em;
		}

		&-page-channel {
			& .channel-header {
				width: 100%;
				padding-top: 0;

				& .channel-thumbnail {
					position: relative;
					top: 0;
					display: flex;
					align-items: center;
					gap: 2em;
					margin: 2em;
				}

				.channel-infos {
					display: grid;
					grid-template-columns: 50% 50%;
				}
			}
		}

		&-page-video {
			display: flex;
			flex-direction: column;

			& .video-info-box-description {
				max-height: 300px;
				overflow-y: scroll;
			}
		}
	}
}

@media (min-width: 480px) and (max-width: 1080px) {
	.container {
		& .video-grid {
			@include grid-col-splitting(3,1em);
			margin-top: 3em;
		}

		&-page-channel {
			& .channel-header {
				width: 100%;
				padding-top: 0;

				& .channel-thumbnail {
					position: relative;
					top: 0;
					display: flex;
					align-items: center;
					gap: 2em;
					margin: 2em;
				}
			}
		}

		&-page-video {
			display: flex;
			flex-direction: column;

			& .video-info-box {
				margin-bottom: 5em;
				display: grid;
				grid-template-rows: auto repeat(3,min-content);
				@include grid-col-splitting(2,1.5em);

				&-description {
					min-height: 350px;
					max-height: 500px;
					overflow-y: scroll;
					grid-column: 2;
					grid-row: 1 / span 4;
				}
			}
		}
	}
}
